DELETE /api/agent_builder/plugins/{pluginId}

Spaces method and path for this operation:

delete /s/{space_id}/api/agent_builder/plugins/{pluginId}

Refer to Spaces for more information.

Delete an installed plugin by ID. This action cannot be undone.

[Required authorization] Route required privileges: agentBuilder:write.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • pluginId string Required

    The unique identifier of the plugin.

Query parameters

  • force boolean

    If true, removes the plugin skills from agents that use them and then deletes the plugin. If false and any agent uses the plugin skills, the request returns 409 Conflict with the list of agents.

    Default value is false.

Responses

  • 200 application/json

    Indicates a successful response

DELETE /api/agent_builder/plugins/{pluginId}
curl \
  -X DELETE "${KIBANA_URL}/api/agent_builder/plugins/{id}" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn://api/agent_builder/plugins/{id}
Response examples (200)
Example response showing that deletion of the plugin has been successful
{
  "success": true
}